function L = krug(C,r,d,m)
%KRUG  Definiranje na matricata L za krug so centar vo tockata C,
%      radius r, i dijametar na sprovodnikot d. Krugot se
%      aproksimira so pravilen mnoguagolnik, pri sto brojot na
%      strani e m. Ako ne se vnese m se smeta deka e m = 8.
%
%  L = krug(C,r,d,m)
%
%  See also ZAZEMFORMAT, LINIJA, PRAVOAGOLNIK, KRUG, ZRACI, SONDI, ROTACIJA.

if nargin == 3
    m = 8;
end
[x,y,z] = deal(C(1),C(2),C(3));
a = linspace(0,360-360/m,m)/180*pi;
u = x + r*cos(a);
v = y + r*sin(a);
L = [];
for k = 1:m
    k1 = k + 1;
    if k1 > m;
        k1 = 1;
    end
    L = [L; u(k) v(k) z u(k1) v(k1) z d];
end
