function L = pravoagolnik(C,a,b,d)
%PRAVOAGOLNIK  Definiranje na matricata L za pravoagolnik so centar vo
%              tockata C, dolzina po horizontala a, sirina b i dijametar na
%              sprovodnikot d.
%
%  L = pravoagolnik(C,a,b,d)
%
%  See also ZAZEMFORMAT, LINIJA, PRAVOAGOLNIK, KRUG, ZRACI, SONDI, ROTACIJA.

[x,y,z] = deal(C(1),C(2),C(3));
a = a/2;
b = b/2;
p = [x-a y-b z];
q = [x-a y+b z];
r = [x+a y+b z];
s = [x+a y-b z];
L = [
    p q d
    q r d
    r s d
    s p d
    ];
