function L = sondi(C,a,b,l,d)
%SONDI  Definiranje na matricata L za sondi postaveni vo teminjata na
%       pravoagolnik so centar vo tockata C, dolzina po horizontala a i
%       sirina b. Dolzinata na sondite e l, a nivniot dijametar e d.
%
%  L = sondi(C,a,b,l,d)
%
%  See also ZAZEMFORMAT, LINIJA, PRAVOAGOLNIK, KRUG, ZRACI, SONDI, ROTACIJA.

[x,y,z] = deal(C(1),C(2),C(3));
a = a/2;
b = b/2;
p = [x-a y-b z];
q = [x-a y+b z];
r = [x+a y+b z];
s = [x+a y-b z];
dz = [0 0 l];
L = [
    p p-dz d
    q q-dz d
    r r-dz d
    s s-dz d
    ];
