function L = zraci(C,m,l,d)
%ZRACI  Definiranje na matricata L za zrakast zazemjuvac so centar
%       vo tockata C. Dolzinata na zracite e l, nivniot dijametar e
%       d, a brojot na zraci e m.
%
%  L = zraci(C,m,l,d)
%
%  See also ZAZEMFORMAT, LINIJA, PRAVOAGOLNIK, KRUG, ZRACI, SONDI, ROTACIJA.

[x,y,z] = deal(C(1),C(2),C(3));
a = linspace(0,360-360/m,m)/180*pi;
u = x + l*cos(a);
v = y + l*sin(a);
L = [];
for k = 1:m
    L = [L; C u(k) v(k) z d];
end
